{ pkgs ? import <nixpkgs> { }, stdenv ? pkgs.stdenv }:
let
  site = pkgs.haskellPackages.callCabal2nix "blag-site" ./. { };
  our-texlive = with pkgs; texlive.combine {
    inherit (texlive)
      collection-basic
      collection-latex
      xcolor
      preview
      pgf tikz-cd
      mathpazo
      varwidth xkeyval standalone
      jknapltx;
  };

in
  stdenv.mkDerivation {
    name = "blag";
    src = ./.;
    buildInputs = with pkgs; [
      poppler_utils
      rubber
      nodePackages.katex
      our-texlive
      site
    ];
  }